# Source code

    001/*
    002 *  Licensed to the Apache Software Foundation (ASF) under one or more
    003 *  contributor license agreements.  See the NOTICE file distributed with
    004 *  this work for additional information regarding copyright ownership.
    005 *  The ASF licenses this file to You under the Apache License, Version 2.0
    006 *  (the "License"); you may not use this file except in compliance with
    007 *  the License.  You may obtain a copy of the License at
    008 *
    009 *      http://www.apache.org/licenses/LICENSE-2.0
    010 *
    011 *  Unless required by applicable law or agreed to in writing, software
    012 *  distributed under the License is distributed on an "AS IS" BASIS,
    013 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    014 *  See the License for the specific language governing permissions and
    015 *  limitations under the License.
    016 *
    017 */
    018package org.apache.commons.compress.utils;
    019
    020import java.io.InputStream;
    021import java.util.zip.CRC32;
    022
    023/**
    024 * A stream that verifies the CRC of the data read once the stream is
    025 * exhausted.
    026 * @NotThreadSafe
    027 * @since 1.6
    028 */
    029public class CRC32VerifyingInputStream extends ChecksumVerifyingInputStream {
    030
    031    /**
    032     * @param in the stream to wrap
    033     * @param size the of the stream's content
    034     * @param expectedCrc32 the expected checksum
    035     */
    036    public CRC32VerifyingInputStream(final InputStream in, final long size, final int expectedCrc32) {
    037        this(in, size, expectedCrc32 & 0xFFFFffffl);
    038    }
    039
    040    /**
    041     * @since 1.7
    042     * @param in the stream to wrap
    043     * @param size the of the stream's content
    044     * @param expectedCrc32 the expected checksum
    045     */
    046    public CRC32VerifyingInputStream(final InputStream in, final long size, final long expectedCrc32) {
    047        super(new CRC32(), in, size, expectedCrc32);
    048    }
    049
    050}